#if !defined(ZONE_H)
#define ZONE_H

#include "Tile.h"

/****************************************************************************/
/** \class Zone
    \brief Container-Klasse fuer alle Tiles die zu einer Zone gehoeren
*****************************************************************************/
class Zone  
{
public:
   Zone();
   Zone(int zone);
   virtual ~Zone();
   void addTile(Tile* tile);
   void load(DataInputStream& dataIn);
   void save(DataOutputStream& dataOut);

public:
   std::vector<Tile*> tileList;
   int m_zone;
};
#endif // !defined(ZONE_H)
